Bug 970767 - cherokee is enabled / automatically started after package installation - but it should only run if user configure it
cherokee is enabled / automatically started after package installation - but ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cherokee (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Lisý
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-04 15:40 EDT by Edgar Hoch
Modified: 2014-02-05 16:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:40:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edgar Hoch 2013-06-04 15:40:58 EDT
Description of problem:
cherokee is automatically enabled after installation of the package.

But I think that it should be disabled after package installation and should not start automatically because

- Administrators should be able to install software packages in a save way. That means that they should be able to install software packages for potential use sometimes later, without the risk that it does more than just storing the files in the filesystem. This should be true for any software that is not neccessary for the system (e.g., it is useful that sshd is started so the system is accessable through the network, but a web server should not run automatically).

- For security reasons there should be no unneccessary running network service.

- There are more than one webserver software packages. The administrator should be able to install more than one software package that provides a service at port 80, so if every software package that provide a service at port 80 would start that service after installation, the software packages would clash as only one can use port 80. It's the administrators choise which software / service should use port 80 - and if there should be a service at that port at all. So no webserver at all should be enabled automatically after package installation.

- A webserver need to be configured by the administrator. An "empty" local webserver does not make much sense. So I think that to write the command "systemctl enable cherokee" is not to much to do if _this_ webserver should be enabled (and working).


Version-Release number of selected component (if applicable):
cherokee-1.2.103-1.fc18.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. yum install -y cherokee
2. systemctl status cherokee

Actual results:
   Loaded: loaded (/usr/lib/systemd/system/cherokee.service; enabled)

Expected results:
   Loaded: loaded (/usr/lib/systemd/system/cherokee.service; disabled)


Additional info:

"rpm -q --scripts cherokee" indicates the reason of this behavior:

postinstall scriptlet (using /bin/sh):
if [ $1 -eq 1 ] ; then 
    # Initial installation: enabled by default
    /bin/systemctl enable cherokee.service >/dev/null 2>&1 || :
fi
Comment 1 Fedora End Of Life 2013-12-21 08:51:50 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 16:40:26 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.